# List of components for ESP32 ESP-IDF and ESP8266 RTOS SDK

## Communications

1. [zh_network](<http://git.zh.com.ru/alexey.zholtikov/zh_network>) ESP-NOW based mesh network.
2. [zh_espnow](<http://git.zh.com.ru/alexey.zholtikov/zh_espnow>) ESP-NOW interface.
3. [zh_syslog](<http://git.zh.com.ru/alexey.zholtikov/zh_syslog>) Syslog server UDP client.

## Systems

1. [zh_vector](http://git.zh.com.ru/alexey.zholtikov/zh_vector) Vector (dynamic array).
2. [zh_json](http://git.zh.com.ru/alexey.zholtikov/zh_json) JSON.

## Peripherals

1. [zh_encoder](http://git.zh.com.ru/alexey.zholtikov/zh_encoder) Rotary encoder.
2. [zh_pcf8574](http://git.zh.com.ru/alexey.zholtikov/zh_pcf8574) PCF8574(A) I2C 8-bit I/O expander.
3. [zh_cd74hc4067](http://git.zh.com.ru/alexey.zholtikov/zh_cd74hc4067) CD74HC4067 16-channel analog multiplexer/demultiplexer.

## Sensors

1. [zh_aht](http://git.zh.com.ru/alexey.zholtikov/zh_aht) AHT10/AHT15/AHT20/AHT21/AHT25/AHT30 humidity & temperature sensor.
2. [zh_dht](http://git.zh.com.ru/alexey.zholtikov/zh_dht) DHT11/DHT22/AM2302/AM2320 humidity & temperature sensor.
3. [zh_bh1750](http://git.zh.com.ru/alexey.zholtikov/zh_bh1750) BH1750 ambient light sensor.
4. [zh_onewire](http://git.zh.com.ru/alexey.zholtikov/zh_onewire) 1-Wire interface.
5. [zh_ds18b20](http://git.zh.com.ru/alexey.zholtikov/zh_ds18b20) DS18B20 temperature sensor.

## Displays

1. [zh_1602a](http://git.zh.com.ru/alexey.zholtikov/zh_1602a) LCD module 1602A.
2. [zh_160x_i2c](http://git.zh.com.ru/alexey.zholtikov/zh_160x_i2c) LCD module 1602(4)A via I2C connection (PCF8574).
